Loading...
Searching...
No Matches
opencc::MaxMatchSegmentation Class Reference
OpenCC C++ Comprehensive API

Implementation of maximal match segmentation. More...

`#include <src/MaxMatchSegmentation.hpp>`

Inheritance diagram for opencc::MaxMatchSegmentation:

## Public Member Functions

| MaxMatchSegmentation (const DictPtr _dict)
SegmentsPtr | Segment (std::string_view text) const override
| Splits `text` into segments and returns them.
const DictPtr | GetDict () const
SegmentsPtr | Segment (const char *text) const
| Convenience overload for null-terminated C strings.
SegmentsPtr | Segment (const std::string &str) const
| Convenience overload for std::string.
Public Member Functions inherited from opencc::Segmentation
SegmentsPtr | Segment (const char *text) const
| Convenience overload for null-terminated C strings.
SegmentsPtr | Segment (const std::string &str) const
| Convenience overload for std::string.

## Detailed Description

Implementation of maximal match segmentation.

## Member Function Documentation

## Segment()

SegmentsPtr MaxMatchSegmentation::Segment | ( | std::string_view | text | ) | const

override virtual

Splits `text` into segments and returns them.

This is the primary override point for subclasses.

Implements opencc::Segmentation.

The documentation for this class was generated from the following files:

- MaxMatchSegmentation.hpp
- MaxMatchSegmentation.cpp